gtkmm: Gdk::GLError Class Reference

gtkmm 3.95.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gdk::GLError Class Reference

`#include <gdkmm/glcontext.h>`

Inheritance diagram for Gdk::GLError:
[legend]

## Public Types
enum | Code { NOT_AVAILABLE, UNSUPPORTED_FORMAT, UNSUPPORTED_PROFILE, COMPILATION_FAILED, LINK_FAILED }
| Error enumeration for Gdk::GLContext. More...

## Public Member Functions
| GLError (Code error_code, const Glib::ustring& error_message)
| GLError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Since gtkmm 3.18:

## Member Enumeration Documentation

enum Gdk::GLError::Code

Error enumeration for Gdk::GLContext.

Since gtkmm 3.18:

Enumerator
NOT_AVAILABLE | OpenGL support is not available.
UNSUPPORTED_FORMAT | The requested visual format is not supported.
UNSUPPORTED_PROFILE | The requested profile is not supported.
COMPILATION_FAILED | The shader compilation failed.
LINK_FAILED | The shader linking failed.

## Constructor & Destructor Documentation

Gdk::GLError::GLError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gdk::GLError::GLError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gdk::GLError::code | ( |  | ) | const